# Class: Concurrent::LockFreeQueue::Node

Inherits:
  Synchronization::Object
  - Object
  - Synchronization::Object
  - Concurrent::LockFreeQueue::Node
  show all

Defined in:
  lib-edge/concurrent/edge/lock_free_queue.rb

## Instance Method Summary collapse

- #initialize(item, successor) ⇒ Node constructor

  A new instance of Node.

- #item ⇒ undocumented

## Constructor Details

### #initialize(item, successor) ⇒ `Node`

Returns a new instance of Node

    9
    10
    11
    12
    13
    14

    # File 'lib-edge/concurrent/edge/lock_free_queue.rb', line 9

    def initialize(item, successor)
      super()
      # published through queue, no need to be volatile or final
      @Item          = item
      self.successor = successor
    end

## Instance Method Details

### #item ⇒ `undocumented`

    16
    17
    18

    # File 'lib-edge/concurrent/edge/lock_free_queue.rb', line 16

    def item
      @Item
    end